Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1423088 - libssh: FTBFS against openssl-1.1
Summary: libssh: FTBFS against openssl-1.1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libssh
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Schneider
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1383740 1485241
TreeView+ depends on / blocked
 
Reported: 2017-02-17 02:44 UTC by Fedora Release Engineering
Modified: 2018-02-20 16:31 UTC (History)
6 users (show)

Fixed In Version: libssh-0.7.5-6.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-20 16:31:24 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2017-02-17 02:44 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2017-02-17 02:44 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2017-02-17 02:44 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2017-02-17 02:44:26 UTC
Your package libssh failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17671434

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 02:44:33 UTC
Created attachment 1251032 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 02:44:37 UTC
Created attachment 1251033 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 02:44:41 UTC
Created attachment 1251034 [details]
state.log

Comment 4 Jonathan Wakely 2017-02-17 13:36:56 UTC
Incompatible with OpenSSL 1.1.0

/builddir/build/BUILD/libssh-0.7.4/src/libcrypto.c: In function 'evp':
/builddir/build/BUILD/libssh-0.7.4/src/libcrypto.c:136:16: error: storage size of 'md' isn't known
     EVP_MD_CTX md;
                ^~
/builddir/build/BUILD/libssh-0.7.4/src/libcrypto.c:136:16: warning: unused variable 'md' [-Wunused-variable]
/builddir/build/BUILD/libssh-0.7.4/src/libcrypto.c: In function 'evp_init':
/builddir/build/BUILD/libssh-0.7.4/src/libcrypto.c:147:32: error: invalid application of 'sizeof' to incomplete type 'EVP_MD_CTX {aka struct evp_md_ctx_st}'
     EVPCTX ctx = malloc(sizeof(EVP_MD_CTX));
                                ^~~~~~~~~~

Comment 5 Fedora End Of Life 2017-02-28 11:19:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Igor Gnatenko 2017-03-11 15:04:35 UTC
There are some commits in master branch to support 1.1.0 though.

Comment 7 Rex Dieter 2017-03-11 15:36:40 UTC
In the meantime, libssh can/should use compat-openssl10

(I'll take the liberty of committing that now, and perhaps can keep this open to track openssl-1.1 support moving forward)

Comment 8 Rex Dieter 2017-03-11 15:50:26 UTC
%changelog
* Sat Mar 11 2017 Rex Dieter <rdieter> - 0.7.4-2
- BR: compat-openssl10-devel (f26+, #1423088)
- use %%license
- -devel: drop hardcoded pkgconfig dep (let autodeps handle it)
- %%files: track library sonames, simplify -devel
- %%install: use 'install/fast' target
- .spec cosmetics, drop deprecated %%clean section


Note You need to log in before you can comment on or make changes to this bug.